# keys

open suspend override fun keys (pagination: Pagination , reversed: Boolean = false): PaginationResult < Id >(source)

This method should use sorted by Keys search and return the PaginationResult. By default, it should use ascending sort for Keys

open suspend override fun keys (v: RegisteredObject , pagination: Pagination , reversed: Boolean = false): PaginationResult < Id >(source)

This method should use sorted by Keys search and return the PaginationResult. By default, it should use ascending sort for Keys.

DEFAULT REALIZATION IS NOT OPTIMAL AND HAS BEEN ADDED TO COVER CASES OF DIFFERENT COMMON MAPPINGS AND TRANSFORMATIONS

#### Parameters

v

This value should be used to exclude from search the items with different Values